summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMartin Väth <martin@mvath.de>2015-10-11 11:26:48 +0200
committerMartin Väth <martin@mvath.de>2015-10-11 11:32:18 +0200
commit109d6b4f673a249aea4deeb0cdb5b54a21592410 (patch)
treeec3589a50dac5be54ef6248d1e0ff3a9fd3b41b4 /sys-fs/aufs-util
downloadmv-109d6b4f673a249aea4deeb0cdb5b54a21592410.tar.gz
mv-109d6b4f673a249aea4deeb0cdb5b54a21592410.tar.bz2
mv-109d6b4f673a249aea4deeb0cdb5b54a21592410.zip
Clear history for egencache --repo=mv --update-changelogs
Diffstat (limited to 'sys-fs/aufs-util')
-rw-r--r--sys-fs/aufs-util/aufs-util-99999999.ebuild42
-rw-r--r--sys-fs/aufs-util/metadata.xml8
2 files changed, 50 insertions, 0 deletions
diff --git a/sys-fs/aufs-util/aufs-util-99999999.ebuild b/sys-fs/aufs-util/aufs-util-99999999.ebuild
new file mode 100644
index 00000000..b4264e15
--- /dev/null
+++ b/sys-fs/aufs-util/aufs-util-99999999.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+EGIT_REPO_URI="git://aufs.git.sourceforge.net/gitroot/aufs/aufs-util.git"
+EGIT_BRANCH="aufs3.9"
+inherit eutils git-r3 linux-info multilib
+
+DESCRIPTION="Userspace tools for aufs"
+HOMEPAGE="http://aufs.sourceforge.net/"
+SRC_URI=""
+
+LICENSE="GPL-2"
+SLOT="0/3.9"
+# Since this is a live ebuild, we require ACCEPT_KEYWORDS='**'
+#KEYWORDS="~amd64 ~x86"
+KEYWORDS=""
+IUSE=""
+PROPERTIES="live"
+
+RDEPEND=""
+DEPEND="dev-vcs/git[curl]"
+
+src_prepare() {
+ local i l
+ ln -s "${KERNEL_DIR}"/include local_kernel
+ set -- local_kernel/linux/aufs*.h
+ test -e "${1}" || {
+ eerror "It seems you do not have installed aufs into your kernel tree."
+ die "You might need to emerge >=sys-fs/aufs-99999999::mv"
+ }
+ l="s|/usr/lib|$(get_libdir)|"
+ sed -i -e "1iCFLAGS += -I./local_kernel -include linux/compiler.h" -e "${l}" Makefile || \
+ die "Patching Makefile failed"
+ for i in lib*/Makefile
+ do test -e "${i}" || continue
+ sed -i -e "1iCFLAGS += -I../local_kernel" -e "${l}" "${i}" || \
+ die "Patching ${i} failed"
+ done
+ epatch_user
+}
diff --git a/sys-fs/aufs-util/metadata.xml b/sys-fs/aufs-util/metadata.xml
new file mode 100644
index 00000000..73a6d343
--- /dev/null
+++ b/sys-fs/aufs-util/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>martin@mvath.de</email>
+ <name>Martin Väth</name>
+ </maintainer>
+</pkgmetadata>